# IRremoteESP8266: src/ir_Delonghi.h File Reference

ir_Delonghi.h File Reference

Delonghi A/C. More...

Go to the source code of this file.

## Classes

union | DelonghiProtocol
| Native representation of a Delonghi A/C message. More...
class | IRDelonghiAc
| Class for handling detailed Delonghi A/C messages. More...

## Variables

const uint8_t | kDelonghiAcTempMinC = 18
const uint8_t | kDelonghiAcTempMaxC = 32
const uint8_t | kDelonghiAcTempMinF = 64
const uint8_t | kDelonghiAcTempMaxF = 90
const uint8_t | kDelonghiAcTempAutoDryMode = 0
const uint8_t | kDelonghiAcTempFanMode = 0b00110
const uint8_t | kDelonghiAcFanAuto = 0b00
const uint8_t | kDelonghiAcFanHigh = 0b01
const uint8_t | kDelonghiAcFanMedium = 0b10
const uint8_t | kDelonghiAcFanLow = 0b11
const uint8_t | kDelonghiAcCool = 0b000
const uint8_t | kDelonghiAcDry = 0b001
const uint8_t | kDelonghiAcFan = 0b010
const uint8_t | kDelonghiAcAuto = 0b100
const uint16_t | kDelonghiAcTimerMax = 23 * 60 + 59
const uint8_t | kDelonghiAcChecksumOffset = 56

## Detailed Description

Delonghi A/C.

Note
  Kudos to TheMaxxz For the breakdown and mapping of the bit values.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1096

## Variable Documentation

## kDelonghiAcAuto

const uint8_t kDelonghiAcAuto = 0b100

## kDelonghiAcChecksumOffset

const uint8_t kDelonghiAcChecksumOffset = 56

## kDelonghiAcCool

const uint8_t kDelonghiAcCool = 0b000

## kDelonghiAcDry

const uint8_t kDelonghiAcDry = 0b001

## kDelonghiAcFan

const uint8_t kDelonghiAcFan = 0b010

## kDelonghiAcFanAuto

const uint8_t kDelonghiAcFanAuto = 0b00

## kDelonghiAcFanHigh

const uint8_t kDelonghiAcFanHigh = 0b01

## kDelonghiAcFanLow

const uint8_t kDelonghiAcFanLow = 0b11

## kDelonghiAcFanMedium

const uint8_t kDelonghiAcFanMedium = 0b10

## kDelonghiAcTempAutoDryMode

const uint8_t kDelonghiAcTempAutoDryMode = 0

## kDelonghiAcTempFanMode

const uint8_t kDelonghiAcTempFanMode = 0b00110

## kDelonghiAcTempMaxC

const uint8_t kDelonghiAcTempMaxC = 32

## kDelonghiAcTempMaxF

const uint8_t kDelonghiAcTempMaxF = 90

## kDelonghiAcTempMinC

const uint8_t kDelonghiAcTempMinC = 18

## kDelonghiAcTempMinF

const uint8_t kDelonghiAcTempMinF = 64

## kDelonghiAcTimerMax

const uint16_t kDelonghiAcTimerMax = 23 * 60 + 59